Skip to main content
POST
/
texml
/
Accounts
/
{account_sid}
/
Calls
/
{call_sid}
/
Streams
/
{streaming_sid}
.json
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.texml.accounts.calls.streams.streamingSidJson(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
  { account_sid: 'account_sid', call_sid: 'call_sid' },
);

console.log(response.account_sid);
import os
from telnyx import Telnyx

client = Telnyx(
    api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
)
response = client.texml.accounts.calls.streams.streaming_sid_json(
    streaming_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    account_sid="account_sid",
    call_sid="call_sid",
)
print(response.account_sid)
package main

import (
	"context"
	"fmt"

	"github.com/team-telnyx/telnyx-go"
	"github.com/team-telnyx/telnyx-go/option"
)

func main() {
	client := telnyx.NewClient(
		option.WithAPIKey("My API Key"),
	)
	response, err := client.Texml.Accounts.Calls.Streams.StreamingSidJson(
		context.TODO(),
		"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
		telnyx.TexmlAccountCallStreamStreamingSidJsonParams{
			AccountSid: "account_sid",
			CallSid:    "call_sid",
		},
	)
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", response.AccountSid)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.calls.streams.StreamStreamingSidJsonParams;
import com.telnyx.sdk.models.texml.accounts.calls.streams.StreamStreamingSidJsonResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        TelnyxClient client = TelnyxOkHttpClient.fromEnv();

        StreamStreamingSidJsonParams params = StreamStreamingSidJsonParams.builder()
            .accountSid("account_sid")
            .callSid("call_sid")
            .streamingSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
            .build();
        StreamStreamingSidJsonResponse response = client.texml().accounts().calls().streams().streamingSidJson(params);
    }
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.texml.accounts.calls.streams.streaming_sid_json(
  "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
  account_sid: "account_sid",
  call_sid: "call_sid"
)

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
  $response = $client->texml->accounts->calls->streams->streamingSidJson(
    '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
    accountSid: 'account_sid',
    callSid: 'call_sid',
    status: 'stopped',
  );

  var_dump($response);
} catch (APIException $e) {
  echo $e->getMessage();
}
telnyx texml:accounts:calls:streams streaming-sid-json \
  --api-key 'My API Key' \
  --account-sid account_sid \
  --call-sid call_sid \
  --streaming-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58
curl --request POST \
  --url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Calls/{call_sid}/Streams/{streaming_sid}.json \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data Status=stopped
{
  "account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
  "call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
  "sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
  "status": "stopped",
  "date_updated": "2023-08-11T19:12:11Z",
  "uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Calls/v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA/Streams/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"
}
{
  "errors": [
    {
      "detail": "Resource not found"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

call_sid
string
required

The CallSid that identifies the call to update.

streaming_sid
string<uuid>
required

Uniquely identifies the streaming by id.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/x-www-form-urlencoded

Update streaming

Status
enum<string>
default:stopped

The status of the Stream you wish to update.

Available options:
stopped
Example:

"stopped"

Response

Successful call streaming update response

account_sid
string
Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

call_sid
string
Example:

"v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA"

sid
string

Identifier of a resource.

Example:

"e9cea0be-7dbd-4b98-98b1-c0089d9d43b0"

status
enum<string>

The status of the streaming.

Available options:
stopped
Example:

"stopped"

date_updated
string<date-time>
Example:

"2023-08-11T19:12:11Z"

uri
string

The relative URI for this streaming resource.

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Calls/v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA/Streams/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"